﻿Imports UniversalTicket

Public Class Form1

    Private WithEvents Client As UTicketClient

    <Serializable> _
    Private Structure TestDaten
        Dim Name As String
        Dim ID As String
    End Structure

    Private Sub Form1_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        End
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        MsgBox("Anweisung: öffen Sie dieses Projekt in Visual Studio und führen Sie dort erst den Server und dann den Client aus" & vbCrLf & "Öffnen Sie ebenfalls den Output in Visual Studio", MsgBoxStyle.Information)

        Client = New UTicketClient("127.0.0.1", 8800, "")
        Client.start("test2")
    End Sub

    Private Sub Client_IDjoined(sID As String) Handles Client.IDjoined
        Dim td As New TestDaten
        td.ID = "myid"
        td.Name = "myname"
        MsgBox("sende")
        Client.sendUTicket(sID, "test", td)
    End Sub

    Private Sub Client_UTicketArrived(sSenderID As String, bSentToAll As Boolean, sCommand As String, oUserData As List(Of Object)) Handles Client.UTicketArrived
        Console.WriteLine(sCommand)
        Console.WriteLine(sSenderID)
        MsgBox("Empfange")
        Select Case sCommand.ToLower

            Case "test"
                Try
                    Dim td As TestDaten = CType(oUserData(0), TestDaten)
                    Console.WriteLine("Received: " & td.ID & " " & td.Name)
                    MsgBox("Received: " & td.ID & " " & td.Name)
                Catch ex As Exception
                    MsgBox(ex.Message, MsgBoxStyle.Critical)
                End Try
               

        End Select
    End Sub
End Class
